// sinus_generator.ino
// ESP32

#define DACpin 25
#define steps 100

int SineValues[steps];       // an array to store our values for sine
float ConversionFactor = (2*PI) / steps;        
float RadAngle;  
int amplitude = 127;
int offset = 128;

void setup()
{ for(int alpha = 0; alpha < steps; alpha ++) 
  { RadAngle = alpha * ConversionFactor;               
    SineValues[alpha]=(amplitude * sin(RadAngle)) + offset;
  }
}

void loop()
{ for(int i = 0; i < steps; i++)
    dacWrite(DACpin, SineValues[i]);
}
